.geometry {
  pointer-events: none;
  mix-blend-mode: var(--blend-mode);
}

.solid-circles {
  position: absolute;
  top: -105px;
  left: 45px;

  .circle {
    position: absolute;
    height: 300px;
    width: 300px;
    border-radius: 50%;
    mix-blend-mode: var(--blend-mode);
  }
  .circle--yellow {
    background: var(--neon-yellow);
  }
  .circle--pink {
    background: var(--neon-pink);
    transform: translateX(var(--neon-offset-x)) translateY(var(--neon-offset-y));
  }

  @include for-tablet-up{
    top: -200px;
    left: -100px;

    .circle {
      height: 350px;
      width: 350px;
    }
  }
}
  
// Line grid
.line-grid-container {
  display: none;

  @include for-tablet-up{
    display: block;
    position: absolute;
    bottom: -75px;
    height: 300px;
    width: 300px;
    z-index: -1;
    transform: translateX(-50%);
    left: unset;
    right: -20%;
  }
}

.line-grid {
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  grid-template-rows: repeat(10, 1fr);
  grid-gap: 2px;

  position: absolute;
  top: 0; left:0;
  height: 100%;
  width: 100%;
  mix-blend-mode: var(--blend-mode);

  &__cell{
    background: var(--relax);
  }

  &--blue {
    background-color: var(--neon-blue);
    border: 2px solid var(--neon-blue);
  }

  &--yellow {
    background-color: var(--neon-yellow);
    border: 2px solid var(--neon-yellow);
    transform: translateX(var(--neon-offset-x)) translateY(var(--neon-offset-y));
  }
}

// Concentric circles
$concentric-size: 150px;
@mixin concentric {
  $num-circles: 10;
  @for $i from 3 through $num-circles {
    $diameter: ($concentric-size / $num-circles) * $i;
    &:nth-child(#{$i}) {
      height: $diameter;
      width: $diameter;
      transition-delay: 50ms * $i;
    }
  }
}

.concentric {
  width: $concentric-size;
  height: $concentric-size;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 50%; left: 50%;
  transform: translate(-50%, -50%);

  &__circle {
    position: absolute;
    border-radius: 50%;
    border: 1px solid var(--neon-blue);
    transition: opacity 0.1s ease;
    @include concentric();

    @include for-tablet-up{
      opacity: 0;
    }
  }

}